%define upstream_name    Catalyst-Plugin-Prototype
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    1.330.0
Release:    %mkrel 2

Summary:    Plugin for Prototype
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(HTML::Prototype)
BuildRequires: perl(Class::Data::Inheritable)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
Helper to generate Prototype library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ._Changes Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Thu Jun 25 2009 Olivier Thauvin <nanardon@mandriva.org> 1.330.0-2mdv2009.0
+ Revision: 388901
- don't use new macros to allow backports

* Sun Jun 21 2009 Olivier Thauvin <nanardon@mandriva.org> 1.330.0-1mdv2010.0
+ Revision: 387708
- Buildrequires
- import perl-Catalyst-Plugin-Prototype


* Sun Jun 21 2009 cpan2dist 1.33-1mdv
- initial mdv release, generated with cpan2dist

